import './symbolIcons.css.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerColor } from '../../../../platform/theme/common/colorUtils.js';
import { foreground } from '../../../../platform/theme/common/colors/baseColors.js';
import '../../../../platform/theme/common/colors/chartsColors.js';
import '../../../../platform/theme/common/colors/editorColors.js';
import '../../../../platform/theme/common/colors/inputColors.js';
import '../../../../platform/theme/common/colors/listColors.js';
import '../../../../platform/theme/common/colors/menuColors.js';
import '../../../../platform/theme/common/colors/minimapColors.js';
import '../../../../platform/theme/common/colors/miscColors.js';
import '../../../../platform/theme/common/colors/quickpickColors.js';
import '../../../../platform/theme/common/colors/searchColors.js';
registerColor('symbolIcon.arrayForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground,
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.arrayForeground',
    'The foreground color for array symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.booleanForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground,
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.booleanForeground',
    'The foreground color for boolean symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.classForeground', {
    dark: '#EE9D28',
    light: '#D67E00',
    hcDark: '#EE9D28',
    hcLight: '#D67E00'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.classForeground',
    'The foreground color for class symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.colorForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.colorForeground',
    'The foreground color for color symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.constantForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.constantForeground',
    'The foreground color for constant symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.constructorForeground', {
    dark: '#B180D7',
    light: '#652D90',
    hcDark: '#B180D7',
    hcLight: '#652D90'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.constructorForeground',
    'The foreground color for constructor symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.enumeratorForeground', {
    dark: '#EE9D28',
    light: '#D67E00',
    hcDark: '#EE9D28',
    hcLight: '#D67E00'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.enumeratorForeground',
    'The foreground color for enumerator symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.enumeratorMemberForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.enumeratorMemberForeground',
    'The foreground color for enumerator member symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.eventForeground', {
    dark: '#EE9D28',
    light: '#D67E00',
    hcDark: '#EE9D28',
    hcLight: '#D67E00'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.eventForeground',
    'The foreground color for event symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.fieldForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.fieldForeground',
    'The foreground color for field symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.fileForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.fileForeground',
    'The foreground color for file symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.folderForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.folderForeground',
    'The foreground color for folder symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.functionForeground', {
    dark: '#B180D7',
    light: '#652D90',
    hcDark: '#B180D7',
    hcLight: '#652D90'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.functionForeground',
    'The foreground color for function symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.interfaceForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.interfaceForeground',
    'The foreground color for interface symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.keyForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.keyForeground',
    'The foreground color for key symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.keywordForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.keywordForeground',
    'The foreground color for keyword symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.methodForeground', {
    dark: '#B180D7',
    light: '#652D90',
    hcDark: '#B180D7',
    hcLight: '#652D90'
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.methodForeground',
    'The foreground color for method symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.moduleForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.moduleForeground',
    'The foreground color for module symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.namespaceForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.namespaceForeground',
    'The foreground color for namespace symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.nullForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.nullForeground',
    'The foreground color for null symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.numberForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.numberForeground',
    'The foreground color for number symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.objectForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.objectForeground',
    'The foreground color for object symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.operatorForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.operatorForeground',
    'The foreground color for operator symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.packageForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.packageForeground',
    'The foreground color for package symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.propertyForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.propertyForeground',
    'The foreground color for property symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.referenceForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.referenceForeground',
    'The foreground color for reference symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.snippetForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.snippetForeground',
    'The foreground color for snippet symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.stringForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.stringForeground',
    'The foreground color for string symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.structForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground,
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.structForeground',
    'The foreground color for struct symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.textForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.textForeground',
    'The foreground color for text symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.typeParameterForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.typeParameterForeground',
    'The foreground color for type parameter symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.unitForeground', {
    dark: foreground,
    light: foreground,
    hcDark: foreground,
    hcLight: foreground
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.unitForeground',
    'The foreground color for unit symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
registerColor('symbolIcon.variableForeground', {
    dark: '#75BEFF',
    light: '#007ACC',
    hcDark: '#75BEFF',
    hcLight: '#007ACC',
}, ( localizeWithPath(
    'vs/editor/contrib/symbolIcons/browser/symbolIcons',
    'symbolIcon.variableForeground',
    'The foreground color for variable symbols. These symbols appear in the outline, breadcrumb, and suggest widget.'
)));
