import { __decorate, __param } from '../../../../../../external/tslib/tslib.es6.js';
import { request } from '../../../base/parts/request/browser/request.js';
import { IConfigurationService } from '../../configuration/common/configuration.js';
import { ILoggerService } from '../../log/common/log.js';
import { AbstractRequestService } from '../common/request.js';
let RequestService = class RequestService extends AbstractRequestService {
    constructor(configurationService, loggerService) {
        super(loggerService);
        this.configurationService = configurationService;
    }
    async request(options, token) {
        if (!options.proxyAuthorization) {
            options.proxyAuthorization = this.configurationService.getValue('http.proxyAuthorization');
        }
        return this.logAndRequest('browser', options, () => request(options, token));
    }
    async resolveProxy(url) {
        return undefined;
    }
    async loadCertificates() {
        return [];
    }
};
RequestService = ( __decorate([
    ( __param(0, IConfigurationService)),
    ( __param(1, ILoggerService))
], RequestService));
export { RequestService };
