import { bufferToStream } from '../../../base/common/buffer.js';
import '../../../base/common/cancellation.js';
class RequestChannelClient {
    constructor(channel) {
        this.channel = channel;
    }
    async request(options, token) {
        const [res, buffer] = await this.channel.call('request', [options], token);
        return { res, stream: bufferToStream(buffer) };
    }
    async resolveProxy(url) {
        return this.channel.call('resolveProxy', [url]);
    }
    async loadCertificates() {
        return this.channel.call('loadCertificates');
    }
}
export { RequestChannelClient };
