import { localizeWithPath } from '../../../../nls.js';
import { registerColor, transparent } from '../colorUtils.js';
import { foreground } from './baseColors.js';
import { editorFindMatchHighlight, editorFindMatchHighlightBorder } from './editorColors.js';
registerColor('search.resultsInfoForeground', { light: foreground, dark: ( transparent(foreground, 0.65)), hcDark: foreground, hcLight: foreground }, ( localizeWithPath(
 'vs/platform/theme/common/colors/searchColors',
 'search.resultsInfoForeground',
 "Color of the text in the search viewlet's completion message."
)));
registerColor('searchEditor.findMatchBackground', { light: ( transparent(editorFindMatchHighlight, 0.66)), dark: ( transparent(editorFindMatchHighlight, 0.66)), hcDark: editorFindMatchHighlight, hcLight: editorFindMatchHighlight }, ( localizeWithPath(
 'vs/platform/theme/common/colors/searchColors',
 'searchEditor.queryMatch',
 "Color of the Search Editor query matches."
)));
registerColor('searchEditor.findMatchBorder', { light: ( transparent(editorFindMatchHighlightBorder, 0.66)), dark: ( transparent(editorFindMatchHighlightBorder, 0.66)), hcDark: editorFindMatchHighlightBorder, hcLight: editorFindMatchHighlightBorder }, ( localizeWithPath(
 'vs/platform/theme/common/colors/searchColors',
 'searchEditor.editorFindMatchBorder',
 "Border color of the Search Editor query matches."
)));
