import { __decorate, __param } from '../../../../../../external/tslib/tslib.es6.js';
import { joinPath } from '../../../base/common/resources.js';
import { localizeWithPath } from '../../../nls.js';
import { IEnvironmentService } from '../../environment/common/environment.js';
import { AbstractLogger, ILoggerService } from '../../log/common/log.js';
import { USER_DATA_SYNC_LOG_ID } from './userDataSync.js';
let UserDataSyncLogService = class UserDataSyncLogService extends AbstractLogger {
    constructor(loggerService, environmentService) {
        super();
        this.logger = this._register(loggerService.createLogger(joinPath(environmentService.logsHome, `${USER_DATA_SYNC_LOG_ID}.log`), { id: USER_DATA_SYNC_LOG_ID, name: ( localizeWithPath(
            'vs/platform/userDataSync/common/userDataSyncLog',
            'userDataSyncLog',
            "Settings Sync"
        )) }));
    }
    trace(message, ...args) {
        this.logger.trace(message, ...args);
    }
    debug(message, ...args) {
        this.logger.debug(message, ...args);
    }
    info(message, ...args) {
        this.logger.info(message, ...args);
    }
    warn(message, ...args) {
        this.logger.warn(message, ...args);
    }
    error(message, ...args) {
        this.logger.error(message, ...args);
    }
    flush() {
        this.logger.flush();
    }
};
UserDataSyncLogService = ( __decorate([
    ( __param(0, ILoggerService)),
    ( __param(1, IEnvironmentService))
], UserDataSyncLogService));
export { UserDataSyncLogService };
