import { localizeWithPath } from '../../../nls.js';
import { createDecorator } from '../../instantiation/common/instantiation.js';
function workspaceTrustToString(trustState) {
    if (trustState) {
        return ( localizeWithPath('vs/platform/workspace/common/workspaceTrust', 'trusted', "Trusted"));
    }
    else {
        return ( localizeWithPath(
            'vs/platform/workspace/common/workspaceTrust',
            'untrusted',
            "Restricted Mode"
        ));
    }
}
const IWorkspaceTrustEnablementService = ( createDecorator('workspaceTrustEnablementService'));
const IWorkspaceTrustManagementService = ( createDecorator('workspaceTrustManagementService'));
const IWorkspaceTrustRequestService = ( createDecorator('workspaceTrustRequestService'));
export { IWorkspaceTrustEnablementService, IWorkspaceTrustManagementService, IWorkspaceTrustRequestService, workspaceTrustToString };
