import { registerAccessibilityConfiguration, DynamicSpeechAccessibilityConfiguration } from './accessibilityConfiguration.js';
import { registerWorkbenchContribution2, Extensions } from '../../../common/contributions.js';
import { Registry } from '../../../../platform/registry/common/platform.js';
import './accessibleView.js';
import { UnfocusedViewDimmingContribution } from './unfocusedViewDimmingContribution.js';
import { HoverAccessibleViewContribution, NotificationAccessibleViewContribution, InlineCompletionsAccessibleViewContribution } from './accessibilityContributions.js';
import { AccessibilityStatus } from './accessibilityStatus.js';
import { EditorAccessibilityHelpContribution } from './editorAccessibilityHelp.js';
import { SaveAccessibilitySignalContribution } from './saveAccessibilitySignal.js';
import { CommentsAccessibilityHelpContribution } from '../../comments/browser/commentsAccessibility.js';
import { DiffEditorActiveAnnouncementContribution } from './openDiffEditorAnnouncement.js';
registerAccessibilityConfiguration();
const workbenchRegistry = ( Registry.as(Extensions.Workbench));
workbenchRegistry.registerWorkbenchContribution(EditorAccessibilityHelpContribution, 4 );
workbenchRegistry.registerWorkbenchContribution(CommentsAccessibilityHelpContribution, 4 );
workbenchRegistry.registerWorkbenchContribution(UnfocusedViewDimmingContribution, 3 );
workbenchRegistry.registerWorkbenchContribution(HoverAccessibleViewContribution, 4 );
workbenchRegistry.registerWorkbenchContribution(NotificationAccessibleViewContribution, 4 );
workbenchRegistry.registerWorkbenchContribution(InlineCompletionsAccessibleViewContribution, 4 );
registerWorkbenchContribution2(AccessibilityStatus.ID, AccessibilityStatus, 2 );
registerWorkbenchContribution2(SaveAccessibilitySignalContribution.ID, SaveAccessibilitySignalContribution, 3 );
registerWorkbenchContribution2(DiffEditorActiveAnnouncementContribution.ID, DiffEditorActiveAnnouncementContribution, 3 );
registerWorkbenchContribution2(DynamicSpeechAccessibilityConfiguration.ID, DynamicSpeechAccessibilityConfiguration, 3 );
