import { ChatEditorInput } from '../chatEditorInput.js';
import { IEditorGroupsService } from '../../../../services/editor/common/editorGroupsService.js';
import { IEditorService } from '../../../../services/editor/common/editorService.js';
async function clearChatEditor(accessor) {
    const editorService = accessor.get(IEditorService);
    const editorGroupsService = accessor.get(IEditorGroupsService);
    const chatEditorInput = editorService.activeEditor;
    if (chatEditorInput instanceof ChatEditorInput && chatEditorInput.providerId) {
        await editorService.replaceEditors([{
                editor: chatEditorInput,
                replacement: { resource: ChatEditorInput.getNewEditorUri(), options: { target: { providerId: chatEditorInput.providerId, pinned: true } } }
            }], editorGroupsService.activeGroup);
    }
}
export { clearChatEditor };
