/// <reference path="./../../../../../../../debugProtocol.d.ts" />

import '../../../../editor/editor.api.js';
import { DataBreakpointSource, IDebugSession } from './debug.js';

interface IBaseBreakpointOptions {
    enabled?: boolean;
    hitCondition?: string;
    condition?: string;
    logMessage?: string;
    mode?: string;
    modeLabel?: string;
}
interface IDataBreakpointOptions extends IBaseBreakpointOptions {
    description: string;
    src: DataBreakpointSource;
    canPersist: boolean;
    initialSessionData?: {
        session: IDebugSession;
        dataId: string;
    };
    accessTypes: DebugProtocol.DataBreakpointAccessType[] | undefined;
    accessType: DebugProtocol.DataBreakpointAccessType;
}
interface IInstructionBreakpointOptions extends IBaseBreakpointOptions {
    instructionReference: string;
    offset: number;
    canPersist: boolean;
    address: bigint;
}

export type { IBaseBreakpointOptions, IDataBreakpointOptions, IInstructionBreakpointOptions };
