import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { joinPath } from '../../../../base/common/resources.js';
import { localizeWithPath } from '../../../../nls.js';
import { IEnvironmentService } from '../../../../platform/environment/common/environment.js';
import { AbstractLogger, ILoggerService } from '../../../../platform/log/common/log.js';
import { editSessionsLogId } from './editSessions.js';
let EditSessionsLogService = class EditSessionsLogService extends AbstractLogger {
    constructor(loggerService, environmentService) {
        super();
        this.logger = this._register(loggerService.createLogger(joinPath(environmentService.logsHome, `${editSessionsLogId}.log`), { id: editSessionsLogId, name: ( localizeWithPath(
            'vs/workbench/contrib/editSessions/common/editSessionsLogService',
            'cloudChangesLog',
            "Cloud Changes"
        )) }));
    }
    trace(message, ...args) {
        this.logger.trace(message, ...args);
    }
    debug(message, ...args) {
        this.logger.debug(message, ...args);
    }
    info(message, ...args) {
        this.logger.info(message, ...args);
    }
    warn(message, ...args) {
        this.logger.warn(message, ...args);
    }
    error(message, ...args) {
        this.logger.error(message, ...args);
    }
    flush() {
        this.logger.flush();
    }
};
EditSessionsLogService = ( __decorate([
    ( __param(0, ILoggerService)),
    ( __param(1, IEnvironmentService))
], EditSessionsLogService));
export { EditSessionsLogService };
