import { localizeWithPath } from '../../../../../nls.js';
import { EmmetEditorAction } from '../emmetActions.js';
import { registerEditorAction } from '../../../../../editor/browser/editorExtensions.js';
import { EditorContextKeys } from '../../../../../editor/common/editorContextKeys.js';
import { ContextKeyExpr } from '../../../../../platform/contextkey/common/contextkey.js';
import { MenuId } from '../../../../../platform/actions/common/actions.js';
class ExpandAbbreviationAction extends EmmetEditorAction {
    constructor() {
        super({
            id: 'editor.emmet.action.expandAbbreviation',
            label: ( localizeWithPath(
                'vs/workbench/contrib/emmet/browser/actions/expandAbbreviation',
                'expandAbbreviationAction',
                "Emmet: Expand Abbreviation"
            )),
            alias: 'Emmet: Expand Abbreviation',
            precondition: EditorContextKeys.writable,
            actionName: 'expand_abbreviation',
            kbOpts: {
                primary: 2 ,
                kbExpr: ( ContextKeyExpr.and(
                    EditorContextKeys.editorTextFocus,
                    EditorContextKeys.tabDoesNotMoveFocus,
                    ( ContextKeyExpr.has('config.emmet.triggerExpansionOnTab'))
                )),
                weight: 100
            },
            menuOpts: {
                menuId: MenuId.MenubarEditMenu,
                group: '5_insert',
                title: ( localizeWithPath(
                    'vs/workbench/contrib/emmet/browser/actions/expandAbbreviation',
                    { key: 'miEmmetExpandAbbreviation', comment: ['&& denotes a mnemonic'] },
                    "Emmet: E&&xpand Abbreviation"
                )),
                order: 3
            }
        });
    }
}
registerEditorAction(ExpandAbbreviationAction);
