import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { ExtensionRecommendations } from './extensionRecommendations.js';
import { IProductService } from '../../../../platform/product/common/productService.js';
import { localizeWithPath } from '../../../../nls.js';
import { IExtensionManagementServerService } from '../../../services/extensionManagement/common/extensionManagement.js';
let WebRecommendations = class WebRecommendations extends ExtensionRecommendations {
    get recommendations() { return this._recommendations; }
    constructor(productService, extensionManagementServerService) {
        super();
        this.productService = productService;
        this.extensionManagementServerService = extensionManagementServerService;
        this._recommendations = [];
    }
    async doActivate() {
        const isOnlyWeb = this.extensionManagementServerService.webExtensionManagementServer && !this.extensionManagementServerService.localExtensionManagementServer && !this.extensionManagementServerService.remoteExtensionManagementServer;
        if (isOnlyWeb && Array.isArray(this.productService.webExtensionTips)) {
            this._recommendations = ( this.productService.webExtensionTips.map(extensionId => ({
                extension: extensionId.toLowerCase(),
                reason: {
                    reasonId: 6 ,
                    reasonText: ( localizeWithPath(
                        'vs/workbench/contrib/extensions/browser/webRecommendations',
                        'reason',
                        "This extension is recommended for {0} for the Web",
                        this.productService.nameLong
                    ))
                }
            })));
        }
    }
};
WebRecommendations = ( __decorate([
    ( __param(0, IProductService)),
    ( __param(1, IExtensionManagementServerService))
], WebRecommendations));
export { WebRecommendations };
