import { registerEditorContribution } from '../../../../editor/browser/editorExtensions.js';
import { registerAction2 } from '../../../../platform/actions/common/actions.js';
import { InlineChatController } from './inlineChatController.js';
import { InlineAccessibilityHelpContribution, StartSessionAction, CloseAction, ConfigureInlineChatAction, UnstashSessionAction, ReRunRequestAction, ReRunRequestWithIntentDetectionAction, DiscardHunkAction, DiscardAction, DiscardToClipboardAction, DiscardUndoToNewFileAction, CancelSessionAction, MoveToNextHunk, MoveToPreviousHunk, ArrowOutUpAction, ArrowOutDownAction, FocusInlineChat, ViewInChatAction, ToggleDiffForChange, ReportIssueForBugCommand, AcceptChanges, CopyRecordings } from './inlineChatActions.js';
import { INLINE_CHAT_ID, INTERACTIVE_EDITOR_ACCESSIBILITY_HELP_ID } from '../common/inlineChat.js';
import '../common/inlineChatServiceImpl.js';
import { Registry } from '../../../../platform/registry/common/platform.js';
import { InlineChatNotebookContribution } from './inlineChatNotebook.js';
import { Extensions } from '../../../common/contributions.js';
import './inlineChatSavingServiceImpl.js';
import { InlineChatAccessibleViewContribution } from './inlineChatAccessibleView.js';
import '../../../../platform/instantiation/common/instantiation.js';
import './inlineChatSessionServiceImpl.js';
registerEditorContribution(INLINE_CHAT_ID, InlineChatController, 0 );
registerEditorContribution(INTERACTIVE_EDITOR_ACCESSIBILITY_HELP_ID, InlineAccessibilityHelpContribution, 3 );
registerAction2(StartSessionAction);
registerAction2(CloseAction);
registerAction2(ConfigureInlineChatAction);
registerAction2(UnstashSessionAction);
registerAction2(ReRunRequestAction);
registerAction2(ReRunRequestWithIntentDetectionAction);
registerAction2(DiscardHunkAction);
registerAction2(DiscardAction);
registerAction2(DiscardToClipboardAction);
registerAction2(DiscardUndoToNewFileAction);
registerAction2(CancelSessionAction);
registerAction2(MoveToNextHunk);
registerAction2(MoveToPreviousHunk);
registerAction2(ArrowOutUpAction);
registerAction2(ArrowOutDownAction);
registerAction2(FocusInlineChat);
registerAction2(ViewInChatAction);
registerAction2(ToggleDiffForChange);
registerAction2(ReportIssueForBugCommand);
registerAction2(AcceptChanges);
registerAction2(CopyRecordings);
const workbenchContributionsRegistry = ( Registry.as(Extensions.Workbench));
workbenchContributionsRegistry.registerWorkbenchContribution(InlineChatNotebookContribution, 3 );
workbenchContributionsRegistry.registerWorkbenchContribution(InlineChatAccessibleViewContribution, 4 );
