import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { toDisposable } from '../../../../base/common/lifecycle.js';
import { Emitter } from '../../../../base/common/event.js';
import { LinkedList } from '../../../../base/common/linkedList.js';
import { IContextKeyService } from '../../../../platform/contextkey/common/contextkey.js';
import { CTX_INLINE_CHAT_HAS_PROVIDER } from './inlineChat.js';
let InlineChatServiceImpl = class InlineChatServiceImpl {
    constructor(contextKeyService) {
        this._onDidChangeProviders = ( new Emitter());
        this._entries = ( new LinkedList());
        this.onDidChangeProviders = this._onDidChangeProviders.event;
        this._ctxHasProvider = CTX_INLINE_CHAT_HAS_PROVIDER.bindTo(contextKeyService);
    }
    addProvider(provider) {
        const rm = this._entries.push(provider);
        this._ctxHasProvider.set(true);
        this._onDidChangeProviders.fire({ added: provider });
        return toDisposable(() => {
            rm();
            this._ctxHasProvider.set(this._entries.size > 0);
            this._onDidChangeProviders.fire({ removed: provider });
        });
    }
    getAllProvider() {
        return [...this._entries].reverse();
    }
};
InlineChatServiceImpl = ( __decorate([
    ( __param(0, IContextKeyService))
], InlineChatServiceImpl));
export { InlineChatServiceImpl };
