import { append, $ as $$1 } from '../../../../../../base/browser/dom.js';
import { localizeWithPath } from '../../../../../../nls.js';
import '../../../../../../platform/list/browser/listService.js';
import { renderExpressionValue } from '../../../../debug/browser/baseDebugView.js';
const $ = $$1;
const MAX_VALUE_RENDER_LENGTH_IN_VIEWLET = 1024;
class NotebookVariablesDelegate {
    getHeight(element) {
        return 22;
    }
    getTemplateId(element) {
        return NotebookVariableRenderer.ID;
    }
}
class NotebookVariableRenderer {
    static { this.ID = 'variableElement'; }
    get templateId() {
        return NotebookVariableRenderer.ID;
    }
    renderTemplate(container) {
        const expression = append(container, $('.expression'));
        const name = append(expression, $('span.name'));
        const value = append(expression, $('span.value'));
        const template = { expression, name, value };
        return template;
    }
    renderElement(element, _index, data) {
        const text = element.element.value.trim() !== '' ? `${element.element.name}:` : element.element.name;
        data.name.textContent = text;
        data.name.title = element.element.type ?? '';
        renderExpressionValue(element.element, data.value, {
            colorize: true,
            showHover: true,
            maxValueLength: MAX_VALUE_RENDER_LENGTH_IN_VIEWLET
        });
    }
    disposeTemplate() {
    }
}
class NotebookVariableAccessibilityProvider {
    getWidgetAriaLabel() {
        return ( localizeWithPath(
            'vs/workbench/contrib/notebook/browser/contrib/notebookVariables/notebookVariablesTree',
            'debugConsole',
            "Notebook Variables"
        ));
    }
    getAriaLabel(element) {
        return ( localizeWithPath(
            'vs/workbench/contrib/notebook/browser/contrib/notebookVariables/notebookVariablesTree',
            'notebookVariableAriaLabel',
            "Variable {0}, value {1}",
            element.name,
            element.value
        ));
    }
}
export { NotebookVariableAccessibilityProvider, NotebookVariableRenderer, NotebookVariablesDelegate };
