import { __decorate, __param } from '../../../../../../../../external/tslib/tslib.es6.js';
import { localizeWithPath } from '../../../../../nls.js';
import { Disposable } from '../../../../../base/common/lifecycle.js';
import { ILoggerService } from '../../../../../platform/log/common/log.js';
const logChannelId = 'notebook.rendering';
let NotebookLoggingService = class NotebookLoggingService extends Disposable {
    static { this.ID = 'notebook'; }
    constructor(loggerService) {
        super();
        this._logger = this._register(loggerService.createLogger(logChannelId, { name: ( localizeWithPath(
            'vs/workbench/contrib/notebook/browser/services/notebookLoggingServiceImpl',
            'renderChannelName',
            "Notebook rendering"
        )) }));
    }
    debug(category, output) {
        this._logger.debug(`[${category}] ${output}`);
    }
    info(category, output) {
        this._logger.info(`[${category}] ${output}`);
    }
};
NotebookLoggingService = ( __decorate([
    ( __param(0, ILoggerService))
], NotebookLoggingService));
export { NotebookLoggingService };
