import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import './media/scm.css.js';
import { localizeWithPath } from '../../../../nls.js';
import { ITelemetryService } from '../../../../platform/telemetry/common/telemetry.js';
import { VIEWLET_ID, ISCMViewService } from '../common/scm.js';
import { IInstantiationService } from '../../../../platform/instantiation/common/instantiation.js';
import { IContextMenuService } from '../../../../platform/contextview/browser/contextView.js';
import { IThemeService } from '../../../../platform/theme/common/themeService.js';
import { IStorageService } from '../../../../platform/storage/common/storage.js';
import { IConfigurationService } from '../../../../platform/configuration/common/configuration.js';
import { IWorkbenchLayoutService } from '../../../services/layout/browser/layoutService.js';
import { IExtensionService } from '../../../services/extensions/common/extensions.js';
import { IWorkspaceContextService } from '../../../../platform/workspace/common/workspace.js';
import { IViewDescriptorService } from '../../../common/views.js';
import { ViewPaneContainer } from '../../../browser/parts/views/viewPaneContainer.js';
let SCMViewPaneContainer = class SCMViewPaneContainer extends ViewPaneContainer {
    constructor(scmViewService, layoutService, telemetryService, instantiationService, contextMenuService, themeService, storageService, configurationService, extensionService, contextService, viewDescriptorService) {
        super(VIEWLET_ID, { mergeViewWithContainerWhenSingleView: true }, instantiationService, configurationService, layoutService, contextMenuService, telemetryService, extensionService, themeService, storageService, contextService, viewDescriptorService);
        this.scmViewService = scmViewService;
    }
    create(parent) {
        super.create(parent);
        parent.classList.add('scm-viewlet');
    }
    getOptimalWidth() {
        return 400;
    }
    getTitle() {
        return ( localizeWithPath(
            'vs/workbench/contrib/scm/browser/scmViewPaneContainer',
            'source control',
            "Source Control"
        ));
    }
    getActionsContext() {
        return this.scmViewService.visibleRepositories.length === 1 ? this.scmViewService.visibleRepositories[0].provider : undefined;
    }
};
SCMViewPaneContainer = ( __decorate([
    ( __param(0, ISCMViewService)),
    ( __param(1, IWorkbenchLayoutService)),
    ( __param(2, ITelemetryService)),
    ( __param(3, IInstantiationService)),
    ( __param(4, IContextMenuService)),
    ( __param(5, IThemeService)),
    ( __param(6, IStorageService)),
    ( __param(7, IConfigurationService)),
    ( __param(8, IExtensionService)),
    ( __param(9, IWorkspaceContextService)),
    ( __param(10, IViewDescriptorService))
], SCMViewPaneContainer));
export { SCMViewPaneContainer };
