import { localizeWithPath, localize2WithPath } from '../../../../nls.js';
import { registerAction2, Action2, MenuId } from '../../../../platform/actions/common/actions.js';
import { IQuickInputService } from '../../../../platform/quickinput/common/quickInput.js';
registerAction2(class ShowAllSymbolsAction extends Action2 {
    static { this.ID = 'workbench.action.showAllSymbols'; }
    static { this.LABEL = ( localizeWithPath(
        'vs/workbench/contrib/search/browser/searchActionsSymbol',
        'showTriggerActions',
        "Go to Symbol in Workspace..."
    )); }
    static { this.ALL_SYMBOLS_PREFIX = '#'; }
    constructor() {
        super({
            id: "workbench.action.showAllSymbols" ,
            title: {
                ...( localize2WithPath(
                    'vs/workbench/contrib/search/browser/searchActionsSymbol',
                    'showTriggerActions',
                    "Go to Symbol in Workspace..."
                )),
                mnemonicTitle: ( localizeWithPath(
                    'vs/workbench/contrib/search/browser/searchActionsSymbol',
                    { key: 'miGotoSymbolInWorkspace', comment: ['&& denotes a mnemonic'] },
                    "Go to Symbol in &&Workspace..."
                )),
            },
            f1: true,
            keybinding: {
                weight: 200 ,
                primary: 2048  | 50
            },
            menu: {
                id: MenuId.MenubarGoMenu,
                group: '3_global_nav',
                order: 2
            }
        });
    }
    async run(accessor) {
        accessor.get(IQuickInputService).quickAccess.show(ShowAllSymbolsAction.ALL_SYMBOLS_PREFIX);
    }
});
