import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const searchDetailsIcon = registerIcon('search-details', Codicon.ellipsis, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchDetailsIcon',
 'Icon to make search details visible.'
)));
const searchActivityBarIcon = registerIcon('search-see-more', Codicon.linkExternal, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchSeeMoreIcon',
 'Icon to view more context in the search view.'
)));
const searchShowContextIcon = registerIcon('search-show-context', Codicon.listSelection, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchShowContextIcon',
 'Icon for toggle the context in the search editor.'
)));
const searchHideReplaceIcon = registerIcon('search-hide-replace', Codicon.chevronRight, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchHideReplaceIcon',
 'Icon to collapse the replace section in the search view.'
)));
const searchShowReplaceIcon = registerIcon('search-show-replace', Codicon.chevronDown, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchShowReplaceIcon',
 'Icon to expand the replace section in the search view.'
)));
const searchReplaceAllIcon = registerIcon('search-replace-all', Codicon.replaceAll, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchReplaceAllIcon',
 'Icon for replace all in the search view.'
)));
const searchReplaceIcon = registerIcon('search-replace', Codicon.replace, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchReplaceIcon',
 'Icon for replace in the search view.'
)));
const searchRemoveIcon = registerIcon('search-remove', Codicon.close, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchRemoveIcon',
 'Icon to remove a search result.'
)));
const searchRefreshIcon = registerIcon('search-refresh', Codicon.refresh, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchRefreshIcon',
 'Icon for refresh in the search view.'
)));
const searchCollapseAllIcon = registerIcon('search-collapse-results', Codicon.collapseAll, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchCollapseAllIcon',
 'Icon for collapse results in the search view.'
)));
const searchExpandAllIcon = registerIcon('search-expand-results', Codicon.expandAll, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchExpandAllIcon',
 'Icon for expand results in the search view.'
)));
const searchShowAsTree = registerIcon('search-tree', Codicon.listTree, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchShowAsTree',
 'Icon for viewing results as a tree in the search view.'
)));
const searchShowAsList = registerIcon('search-list', Codicon.listFlat, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchShowAsList',
 'Icon for viewing results as a list in the search view.'
)));
const searchClearIcon = registerIcon('search-clear-results', Codicon.clearAll, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchClearIcon',
 'Icon for clear results in the search view.'
)));
const searchStopIcon = registerIcon('search-stop', Codicon.searchStop, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchStopIcon',
 'Icon for stop in the search view.'
)));
const searchViewIcon = registerIcon('search-view-icon', Codicon.search, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchViewIcon',
 'View icon of the search view.'
)));
const searchNewEditorIcon = registerIcon('search-new-editor', Codicon.newFile, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchNewEditorIcon',
 'Icon for the action to open a new search editor.'
)));
const searchOpenInFileIcon = registerIcon('search-open-in-file', Codicon.goToFile, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchOpenInFile',
 'Icon for the action to go to the file of the current search result.'
)));
registerIcon('search-sparkle-filled', Codicon.sparkleFilled, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchSparkleFilled',
 'Icon to show AI results in search.'
)));
registerIcon('search-sparkle-empty', Codicon.sparkle, ( localizeWithPath(
 'vs/workbench/contrib/search/browser/searchIcons',
 'searchSparkleEmpty',
 'Icon to hide AI results in search.'
)));
export { searchActivityBarIcon, searchClearIcon, searchCollapseAllIcon, searchDetailsIcon, searchExpandAllIcon, searchHideReplaceIcon, searchNewEditorIcon, searchOpenInFileIcon, searchRefreshIcon, searchRemoveIcon, searchReplaceAllIcon, searchReplaceIcon, searchShowAsList, searchShowAsTree, searchShowContextIcon, searchShowReplaceIcon, searchStopIcon, searchViewIcon };
