import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import '../../../../nls.js';
import { language } from '../../../../base/common/platform.js';
import { ILanguageService } from '../../../../editor/common/languages/language.js';
import { Extensions } from '../../../common/contributions.js';
import { Registry } from '../../../../platform/registry/common/platform.js';
import { ITelemetryService } from '../../../../platform/telemetry/common/telemetry.js';
import { IStorageService } from '../../../../platform/storage/common/storage.js';
import { IProductService } from '../../../../platform/product/common/productService.js';
import { INotificationService } from '../../../../platform/notification/common/notification.js';
import { ITextFileService } from '../../../services/textfile/common/textfiles.js';
import { IOpenerService } from '../../../../platform/opener/common/opener.js';
import '../../../../base/common/path.js';
import '../../../../base/common/process.js';
import '../../../../base/common/async.js';
import '../../../../base/common/lifecycle.js';
import { IExtensionService } from '../../../services/extensions/common/extensions.js';
let LanguageSurveysContribution = class LanguageSurveysContribution {
    constructor(storageService, notificationService, telemetryService, textFileService, openerService, productService, languageService, extensionService) {
        this.storageService = storageService;
        this.notificationService = notificationService;
        this.telemetryService = telemetryService;
        this.textFileService = textFileService;
        this.openerService = openerService;
        this.productService = productService;
        this.languageService = languageService;
        this.extensionService = extensionService;
        this.handleSurveys();
    }
    async handleSurveys() {
        if (!this.productService.surveys) {
            return;
        }
        await this.extensionService.whenInstalledExtensionsRegistered();
    }
};
LanguageSurveysContribution = ( __decorate([
    ( __param(0, IStorageService)),
    ( __param(1, INotificationService)),
    ( __param(2, ITelemetryService)),
    ( __param(3, ITextFileService)),
    ( __param(4, IOpenerService)),
    ( __param(5, IProductService)),
    ( __param(6, ILanguageService)),
    ( __param(7, IExtensionService))
], LanguageSurveysContribution));
if (language === 'en') {
    const workbenchRegistry = ( Registry.as(Extensions.Workbench));
    workbenchRegistry.registerWorkbenchContribution(LanguageSurveysContribution, 3 );
}
