import { localizeWithPath, localize2WithPath } from '../../../../nls.js';
const terminalStrings = {
    terminal: ( localizeWithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'terminal',
        "Terminal"
    )),
    new: ( localizeWithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'terminal.new',
        "New Terminal"
    )),
    doNotShowAgain: ( localizeWithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'doNotShowAgain',
        'Do Not Show Again'
    )),
    currentSessionCategory: ( localizeWithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'currentSessionCategory',
        'current session'
    )),
    previousSessionCategory: ( localizeWithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'previousSessionCategory',
        'previous session'
    )),
    typeTask: ( localizeWithPath('vs/workbench/contrib/terminal/common/terminalStrings', 'task', "Task")),
    typeLocal: ( localizeWithPath('vs/workbench/contrib/terminal/common/terminalStrings', 'local', "Local")),
    actionCategory: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'terminalCategory',
        "Terminal"
    )),
    focus: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.focus',
        "Focus Terminal"
    )),
    focusAndHideAccessibleBuffer: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.focusAndHideAccessibleBuffer',
        "Focus Terminal and Hide Accessible Buffer"
    )),
    kill: {
        ...( localize2WithPath(
            'vs/workbench/contrib/terminal/common/terminalStrings',
            'killTerminal',
            "Kill Terminal"
        )),
        short: ( localizeWithPath(
            'vs/workbench/contrib/terminal/common/terminalStrings',
            'killTerminal.short',
            "Kill"
        )),
    },
    moveToEditor: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'moveToEditor',
        "Move Terminal into Editor Area"
    )),
    moveIntoNewWindow: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'moveIntoNewWindow',
        "Move Terminal into New Window"
    )),
    moveToTerminalPanel: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.moveToTerminalPanel',
        "Move Terminal into Panel"
    )),
    changeIcon: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.changeIcon',
        "Change Icon..."
    )),
    changeColor: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.changeColor',
        "Change Color..."
    )),
    split: {
        ...( localize2WithPath(
            'vs/workbench/contrib/terminal/common/terminalStrings',
            'splitTerminal',
            "Split Terminal"
        )),
        short: ( localizeWithPath(
            'vs/workbench/contrib/terminal/common/terminalStrings',
            'splitTerminal.short',
            "Split"
        )),
    },
    unsplit: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'unsplitTerminal',
        "Unsplit Terminal"
    )),
    rename: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.rename',
        "Rename..."
    )),
    toggleSizeToContentWidth: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.sizeToContentWidthInstance',
        "Toggle Size to Content Width"
    )),
    focusHover: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.focusHover',
        "Focus Hover"
    )),
    sendSequence: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.sendSequence',
        "Send Custom Sequence To Terminal"
    )),
    newWithCwd: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.newWithCwd',
        "Create New Terminal Starting in a Custom Working Directory"
    )),
    renameWithArgs: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.renameWithArg',
        "Rename the Currently Active Terminal"
    )),
    stickyScroll: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'stickyScroll',
        "Sticky Scroll"
    )),
    scrollToPreviousCommand: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.scrollToPreviousCommand',
        "Scroll To Previous Command"
    )),
    scrollToNextCommand: ( localize2WithPath(
        'vs/workbench/contrib/terminal/common/terminalStrings',
        'workbench.action.terminal.scrollToNextCommand',
        "Scroll To Next Command"
    ))
};
export { terminalStrings };
