import { localizeWithPath } from '../../../../../nls.js';
import { MenuId } from '../../../../../platform/actions/common/actions.js';
import { RawContextKey } from '../../../../../platform/contextkey/common/contextkey.js';
const MENU_TERMINAL_CHAT_INPUT = MenuId.for('terminalChatInput');
const MENU_TERMINAL_CHAT_WIDGET = MenuId.for('terminalChatWidget');
const MENU_TERMINAL_CHAT_WIDGET_STATUS = MenuId.for('terminalChatWidget.status');
const MENU_TERMINAL_CHAT_WIDGET_FEEDBACK = MenuId.for('terminalChatWidget.feedback');
MenuId.for('terminalChatWidget.toolbar');
var TerminalChatContextKeys;
( (function(TerminalChatContextKeys) {
    TerminalChatContextKeys.focused = ( new RawContextKey(
        "terminalChatFocus" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatFocusedContextKey',
            "Whether the chat view is focused."
        ))
    ));
    TerminalChatContextKeys.visible = ( new RawContextKey(
        "terminalChatVisible" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatVisibleContextKey',
            "Whether the chat view is visible."
        ))
    ));
    TerminalChatContextKeys.requestActive = ( new RawContextKey(
        "terminalChatActiveRequest" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatRequestActiveContextKey',
            "Whether there is an active chat request."
        ))
    ));
    TerminalChatContextKeys.inputHasText = ( new RawContextKey(
        "terminalChatInputHasText" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatInputHasTextContextKey',
            "Whether the chat input has text."
        ))
    ));
    TerminalChatContextKeys.agentRegistered = ( new RawContextKey(
        "terminalChatAgentRegistered" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatAgentRegisteredContextKey',
            "Whether the terminal chat agent has been registered."
        ))
    ));
    TerminalChatContextKeys.responseContainsCodeBlock = ( new RawContextKey(
        "terminalChatResponseContainsCodeBlock" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatResponseContainsCodeBlockContextKey',
            "Whether the chat response contains a code block."
        ))
    ));
    TerminalChatContextKeys.responseSupportsIssueReporting = ( new RawContextKey(
        "terminalChatResponseSupportsIssueReporting" ,
        false,
        ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'chatResponseSupportsIssueReportingContextKey',
            "Whether the response supports issue reporting"
        ))
    ));
    TerminalChatContextKeys.sessionResponseVote = ( new RawContextKey(
        "terminalChatSessionResponseVote" ,
        undefined,
        { type: 'string', description: ( localizeWithPath(
            'vs/workbench/contrib/terminalContrib/chat/browser/terminalChat',
            'interactiveSessionResponseVote',
            "When the response has been voted up, is set to 'up'. When voted down, is set to 'down'. Otherwise an empty string."
        )) }
    ));
})(TerminalChatContextKeys || (TerminalChatContextKeys = {})));
export { MENU_TERMINAL_CHAT_INPUT, MENU_TERMINAL_CHAT_WIDGET, MENU_TERMINAL_CHAT_WIDGET_FEEDBACK, MENU_TERMINAL_CHAT_WIDGET_STATUS, TerminalChatContextKeys };
