import { Color } from '../../../../../base/common/color.js';
import './media/stickyScroll.css.js';
import { localizeWithPath } from '../../../../../nls.js';
import { registerColor } from '../../../../../platform/theme/common/colorUtils.js';
import '../../../../../platform/theme/common/colors/baseColors.js';
import '../../../../../platform/theme/common/colors/chartsColors.js';
import '../../../../../platform/theme/common/colors/editorColors.js';
import '../../../../../platform/theme/common/colors/inputColors.js';
import '../../../../../platform/theme/common/colors/listColors.js';
import '../../../../../platform/theme/common/colors/menuColors.js';
import '../../../../../platform/theme/common/colors/minimapColors.js';
import '../../../../../platform/theme/common/colors/miscColors.js';
import '../../../../../platform/theme/common/colors/quickpickColors.js';
import '../../../../../platform/theme/common/colors/searchColors.js';
const terminalStickyScrollBackground = registerColor('terminalStickyScroll.background', {
    light: null,
    dark: null,
    hcDark: null,
    hcLight: null
}, ( localizeWithPath(
    'vs/workbench/contrib/terminalContrib/stickyScroll/browser/terminalStickyScrollColorRegistry',
    'terminalStickyScroll.background',
    'The background color of the sticky scroll overlay in the terminal.'
)));
const terminalStickyScrollHoverBackground = registerColor('terminalStickyScrollHover.background', {
    dark: '#2A2D2E',
    light: '#F0F0F0',
    hcDark: null,
    hcLight: ( ( Color.fromHex('#0F4A85')).transparent(0.1))
}, ( localizeWithPath(
    'vs/workbench/contrib/terminalContrib/stickyScroll/browser/terminalStickyScrollColorRegistry',
    'terminalStickyScrollHover.background',
    'The background color of the sticky scroll overlay in the terminal when hovered.'
)));
export { terminalStickyScrollBackground, terminalStickyScrollHoverBackground };
