import { Codicon } from '../../../../base/common/codicons.js';
import { localizeWithPath } from '../../../../nls.js';
import { registerIcon, spinningLoading } from '../../../../platform/theme/common/iconRegistry.js';
import { registerThemingParticipant } from '../../../../platform/theme/common/themeService.js';
import { ThemeIcon } from '../../../../base/common/themables.js';
import { testingColorRunAction, testStatesToIconColors, testStatesToRetiredIconColors } from './theme.js';
const testingViewIcon = registerIcon('test-view-icon', Codicon.beaker, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testViewIcon',
    'View icon of the test view.'
)));
const testingResultsIcon = registerIcon('test-results-icon', Codicon.checklist, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingResultsIcon',
    'Icons for test results.'
)));
const testingRunIcon = registerIcon('testing-run-icon', Codicon.run, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingRunIcon',
    'Icon of the "run test" action.'
)));
const testingRerunIcon = registerIcon('testing-rerun-icon', Codicon.refresh, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingRerunIcon',
    'Icon of the "rerun tests" action.'
)));
const testingRunAllIcon = registerIcon('testing-run-all-icon', Codicon.runAll, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingRunAllIcon',
    'Icon of the "run all tests" action.'
)));
const testingDebugAllIcon = registerIcon('testing-debug-all-icon', Codicon.debugAltSmall, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingDebugAllIcon',
    'Icon of the "debug all tests" action.'
)));
const testingDebugIcon = registerIcon('testing-debug-icon', Codicon.debugAltSmall, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingDebugIcon',
    'Icon of the "debug test" action.'
)));
const testingCoverageIcon = registerIcon('testing-coverage-icon', Codicon.runCoverage, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingCoverageIcon',
    'Icon of the "run test with coverage" action.'
)));
const testingCoverageAllIcon = registerIcon('testing-coverage-all-icon', Codicon.runAllCoverage, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingRunAllWithCoverageIcon',
    'Icon of the "run all tests with coverage" action.'
)));
const testingCancelIcon = registerIcon('testing-cancel-icon', Codicon.debugStop, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingCancelIcon',
    'Icon to cancel ongoing test runs.'
)));
const testingFilterIcon = registerIcon('testing-filter', Codicon.filter, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'filterIcon',
    'Icon for the \'Filter\' action in the testing view.'
)));
const testingHiddenIcon = registerIcon('testing-hidden', Codicon.eyeClosed, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'hiddenIcon',
    'Icon shown beside hidden tests, when they\'ve been shown.'
)));
registerIcon('testing-show-as-list-icon', Codicon.listTree, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingShowAsList',
    'Icon shown when the test explorer is disabled as a tree.'
)));
registerIcon('testing-show-as-list-icon', Codicon.listFlat, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingShowAsTree',
    'Icon shown when the test explorer is disabled as a list.'
)));
const testingUpdateProfiles = registerIcon('testing-update-profiles', Codicon.gear, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingUpdateProfiles',
    'Icon shown to update test profiles.'
)));
const testingRefreshTests = registerIcon('testing-refresh-tests', Codicon.refresh, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingRefreshTests',
    'Icon on the button to refresh tests.'
)));
const testingTurnContinuousRunOn = registerIcon('testing-turn-continuous-run-on', Codicon.eye, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingTurnContinuousRunOn',
    'Icon to turn continuous test runs on.'
)));
const testingTurnContinuousRunOff = registerIcon('testing-turn-continuous-run-off', Codicon.eyeClosed, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingTurnContinuousRunOff',
    'Icon to turn continuous test runs off.'
)));
const testingContinuousIsOn = registerIcon('testing-continuous-is-on', Codicon.eye, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingTurnContinuousRunIsOn',
    'Icon when continuous run is on for a test ite,.'
)));
const testingCancelRefreshTests = registerIcon('testing-cancel-refresh-tests', Codicon.stop, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingCancelRefreshTests',
    'Icon on the button to cancel refreshing tests.'
)));
const testingCoverageReport = registerIcon('testing-coverage', Codicon.coverage, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingCoverage',
    'Icon representing test coverage'
)));
const testingWasCovered = registerIcon('testing-was-covered', Codicon.check, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingWasCovered',
    'Icon representing that an element was covered'
)));
const testingCoverageMissingBranch = registerIcon('testing-missing-branch', Codicon.question, ( localizeWithPath(
    'vs/workbench/contrib/testing/browser/icons',
    'testingMissingBranch',
    'Icon representing a uncovered block without a range'
)));
const testingStatesToIcons = ( new Map([
    [6 , registerIcon('testing-error-icon', Codicon.issues, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingErrorIcon',
        'Icon shown for tests that have an error.'
    )))],
    [4 , registerIcon('testing-failed-icon', Codicon.error, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingFailedIcon',
        'Icon shown for tests that failed.'
    )))],
    [3 , registerIcon('testing-passed-icon', Codicon.pass, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingPassedIcon',
        'Icon shown for tests that passed.'
    )))],
    [1 , registerIcon('testing-queued-icon', Codicon.history, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingQueuedIcon',
        'Icon shown for tests that are queued.'
    )))],
    [2 , spinningLoading],
    [5 , registerIcon('testing-skipped-icon', Codicon.debugStepOver, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingSkippedIcon',
        'Icon shown for tests that are skipped.'
    )))],
    [0 , registerIcon('testing-unset-icon', Codicon.circleOutline, ( localizeWithPath(
        'vs/workbench/contrib/testing/browser/icons',
        'testingUnsetIcon',
        'Icon shown for tests that are in an unset state.'
    )))],
]));
registerThemingParticipant((theme, collector) => {
    for (const [state, icon] of testingStatesToIcons.entries()) {
        const color = testStatesToIconColors[state];
        const retiredColor = testStatesToRetiredIconColors[state];
        if (!color) {
            continue;
        }
        collector.addRule(`.monaco-workbench ${ThemeIcon.asCSSSelector(icon)} {
			color: ${theme.getColor(color)} !important;
		}`);
        if (!retiredColor) {
            continue;
        }
        collector.addRule(`
			.test-explorer .computed-state.retired${ThemeIcon.asCSSSelector(icon)},
			.testing-run-glyph.retired${ThemeIcon.asCSSSelector(icon)}{
				color: ${theme.getColor(retiredColor)} !important;
			}
		`);
    }
    collector.addRule(`
		.monaco-editor ${ThemeIcon.asCSSSelector(testingRunIcon)},
		.monaco-editor ${ThemeIcon.asCSSSelector(testingRunAllIcon)} {
			color: ${theme.getColor(testingColorRunAction)};
		}
	`);
});
export { testingCancelIcon, testingCancelRefreshTests, testingContinuousIsOn, testingCoverageAllIcon, testingCoverageIcon, testingCoverageMissingBranch, testingCoverageReport, testingDebugAllIcon, testingDebugIcon, testingFilterIcon, testingHiddenIcon, testingRefreshTests, testingRerunIcon, testingResultsIcon, testingRunAllIcon, testingRunIcon, testingStatesToIcons, testingTurnContinuousRunOff, testingTurnContinuousRunOn, testingUpdateProfiles, testingViewIcon, testingWasCovered };
