import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { localizeWithPath } from '../../../../nls.js';
import { IConfigurationService } from '../../../../platform/configuration/common/configuration.js';
import { IContextMenuService } from '../../../../platform/contextview/browser/contextView.js';
import { IInstantiationService } from '../../../../platform/instantiation/common/instantiation.js';
import { IStorageService } from '../../../../platform/storage/common/storage.js';
import { ITelemetryService } from '../../../../platform/telemetry/common/telemetry.js';
import { IThemeService } from '../../../../platform/theme/common/themeService.js';
import { IWorkspaceContextService } from '../../../../platform/workspace/common/workspace.js';
import { ViewPaneContainer } from '../../../browser/parts/views/viewPaneContainer.js';
import { IViewDescriptorService } from '../../../common/views.js';
import { IExtensionService } from '../../../services/extensions/common/extensions.js';
import { IWorkbenchLayoutService } from '../../../services/layout/browser/layoutService.js';
let TestingViewPaneContainer = class TestingViewPaneContainer extends ViewPaneContainer {
    constructor(layoutService, telemetryService, instantiationService, contextMenuService, themeService, storageService, configurationService, extensionService, contextService, viewDescriptorService) {
        super("workbench.view.extension.test" , { mergeViewWithContainerWhenSingleView: true }, instantiationService, configurationService, layoutService, contextMenuService, telemetryService, extensionService, themeService, storageService, contextService, viewDescriptorService);
    }
    create(parent) {
        super.create(parent);
        parent.classList.add('testing-view-pane');
    }
    getOptimalWidth() {
        return 400;
    }
    getTitle() {
        return ( localizeWithPath(
            'vs/workbench/contrib/testing/browser/testingViewPaneContainer',
            'testing',
            "Testing"
        ));
    }
};
TestingViewPaneContainer = ( __decorate([
    ( __param(0, IWorkbenchLayoutService)),
    ( __param(1, ITelemetryService)),
    ( __param(2, IInstantiationService)),
    ( __param(3, IContextMenuService)),
    ( __param(4, IThemeService)),
    ( __param(5, IStorageService)),
    ( __param(6, IConfigurationService)),
    ( __param(7, IExtensionService)),
    ( __param(8, IWorkspaceContextService)),
    ( __param(9, IViewDescriptorService))
], TestingViewPaneContainer));
export { TestingViewPaneContainer };
