import { stripIcons } from '../../../../base/common/iconLabels.js';
import { localizeWithPath } from '../../../../nls.js';
const testStateNames = {
    [6 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.errored',
        'Errored'
    )),
    [4 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.failed',
        'Failed'
    )),
    [3 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.passed',
        'Passed'
    )),
    [1 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.queued',
        'Queued'
    )),
    [2 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.running',
        'Running'
    )),
    [5 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.skipped',
        'Skipped'
    )),
    [0 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testState.unset',
        'Not yet run'
    )),
};
const labelForTestInState = (label, state) => ( localizeWithPath('vs/workbench/contrib/testing/common/constants', {
    key: 'testing.treeElementLabel',
    comment: ['label then the unit tests state, for example "Addition Tests (Running)"'],
}, '{0} ({1})', stripIcons(label), testStateNames[state]));
const testConfigurationGroupNames = {
    [4 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testGroup.debug',
        'Debug'
    )),
    [2 ]: ( localizeWithPath('vs/workbench/contrib/testing/common/constants', 'testGroup.run', 'Run')),
    [8 ]: ( localizeWithPath(
        'vs/workbench/contrib/testing/common/constants',
        'testGroup.coverage',
        'Coverage'
    )),
};
export { labelForTestInState, testConfigurationGroupNames };
