import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { Iterable } from '../../../../base/common/iterator.js';
import { Disposable } from '../../../../base/common/lifecycle.js';
import { IStorageService } from '../../../../platform/storage/common/storage.js';
import { MutableObservableValue } from './observableValue.js';
import { StoredValue } from './storedValue.js';
let TestExclusions = class TestExclusions extends Disposable {
    constructor(storageService) {
        super();
        this.storageService = storageService;
        this.excluded = this._register(MutableObservableValue.stored(this._register(( new StoredValue({
            key: 'excludedTestItems',
            scope: 1 ,
            target: 1 ,
            serialization: {
                deserialize: v => ( new Set(JSON.parse(v))),
                serialize: v => JSON.stringify([...v])
            },
        }, this.storageService))), ( new Set())));
        this.onTestExclusionsChanged = this.excluded.onDidChange;
    }
    get hasAny() {
        return this.excluded.value.size > 0;
    }
    get all() {
        return this.excluded.value;
    }
    toggle(test, exclude) {
        if (exclude !== true && ( this.excluded.value.has(test.item.extId))) {
            this.excluded.value = ( new Set(Iterable.filter(this.excluded.value, e => e !== test.item.extId)));
        }
        else if (exclude !== false && !( this.excluded.value.has(test.item.extId))) {
            this.excluded.value = ( new Set([...this.excluded.value, test.item.extId]));
        }
    }
    contains(test) {
        return ( this.excluded.value.has(test.item.extId));
    }
    clear() {
        this.excluded.value = ( new Set());
    }
};
TestExclusions = ( __decorate([
    ( __param(0, IStorageService))
], TestExclusions));
export { TestExclusions };
