import { registerColor, lighten, darken } from '../../../../platform/theme/common/colorUtils.js';
import { contrastBorder, textLinkForeground } from '../../../../platform/theme/common/colors/baseColors.js';
import '../../../../platform/theme/common/colors/chartsColors.js';
import { editorWidgetBackground } from '../../../../platform/theme/common/colors/editorColors.js';
import { inputBackground } from '../../../../platform/theme/common/colors/inputColors.js';
import '../../../../platform/theme/common/colors/listColors.js';
import '../../../../platform/theme/common/colors/menuColors.js';
import '../../../../platform/theme/common/colors/minimapColors.js';
import '../../../../platform/theme/common/colors/miscColors.js';
import '../../../../platform/theme/common/colors/quickpickColors.js';
import '../../../../platform/theme/common/colors/searchColors.js';
import { localizeWithPath } from '../../../../nls.js';
registerColor('welcomePage.background', { light: null, dark: null, hcDark: null, hcLight: null }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.background',
 'Background color for the Welcome page.'
)));
registerColor('welcomePage.tileBackground', { dark: editorWidgetBackground, light: editorWidgetBackground, hcDark: '#000', hcLight: editorWidgetBackground }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.tileBackground',
 'Background color for the tiles on the Welcome page.'
)));
registerColor('welcomePage.tileHoverBackground', { dark: ( lighten(editorWidgetBackground, .2)), light: ( darken(editorWidgetBackground, .1)), hcDark: null, hcLight: null }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.tileHoverBackground',
 'Hover background color for the tiles on the Welcome.'
)));
registerColor('welcomePage.tileBorder', { dark: '#ffffff1a', light: '#0000001a', hcDark: contrastBorder, hcLight: contrastBorder }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.tileBorder',
 'Border color for the tiles on the Welcome page.'
)));
registerColor('welcomePage.progress.background', { light: inputBackground, dark: inputBackground, hcDark: inputBackground, hcLight: inputBackground }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.progress.background',
 'Foreground color for the Welcome page progress bars.'
)));
registerColor('welcomePage.progress.foreground', { light: textLinkForeground, dark: textLinkForeground, hcDark: textLinkForeground, hcLight: textLinkForeground }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'welcomePage.progress.foreground',
 'Background color for the Welcome page progress bars.'
)));
registerColor('walkthrough.stepTitle.foreground', { light: '#000000', dark: '#ffffff', hcDark: null, hcLight: null }, ( localizeWithPath(
 'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedColors',
 'walkthrough.stepTitle.foreground',
 'Foreground color of the heading of each walkthrough step'
)));
