import './media/gettingStarted.css.js';
import { localizeWithPath } from '../../../../nls.js';
import { EditorInput } from '../../../common/editor/editorInput.js';
import { URI } from '../../../../base/common/uri.js';
import { Schemas } from '../../../../base/common/network.js';
const gettingStartedInputTypeId = 'workbench.editors.gettingStartedInput';
class GettingStartedInput extends EditorInput {
    static { this.ID = gettingStartedInputTypeId; }
    static { this.RESOURCE = ( URI.from({ scheme: Schemas.walkThrough, authority: 'vscode_getting_started_page' })); }
    get typeId() {
        return GettingStartedInput.ID;
    }
    get editorId() {
        return this.typeId;
    }
    toUntyped() {
        return {
            resource: GettingStartedInput.RESOURCE,
            options: {
                override: GettingStartedInput.ID,
                pinned: false
            }
        };
    }
    get resource() {
        return GettingStartedInput.RESOURCE;
    }
    matches(other) {
        if (super.matches(other)) {
            return true;
        }
        if (other instanceof GettingStartedInput) {
            return other.selectedCategory === this.selectedCategory;
        }
        return false;
    }
    constructor(options) {
        super();
        this.selectedCategory = options.selectedCategory;
        this.selectedStep = options.selectedStep;
        this.showTelemetryNotice = !!options.showTelemetryNotice;
    }
    getName() {
        return ( localizeWithPath(
            'vs/workbench/contrib/welcomeGettingStarted/browser/gettingStartedInput',
            'getStarted',
            "Welcome"
        ));
    }
}
export { GettingStartedInput, gettingStartedInputTypeId };
