import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { IWorkingCopyBackupService } from '../common/workingCopyBackup.js';
import { IFilesConfigurationService } from '../../filesConfiguration/common/filesConfigurationService.js';
import { IWorkingCopyService } from '../common/workingCopyService.js';
import { ILifecycleService } from '../../lifecycle/common/lifecycle.js';
import { ILogService } from '../../../../platform/log/common/log.js';
import { WorkingCopyBackupTracker } from '../common/workingCopyBackupTracker.js';
import { IWorkingCopyEditorService } from '../common/workingCopyEditorService.js';
import { IEditorService } from '../../editor/common/editorService.js';
import { IEditorGroupsService } from '../../editor/common/editorGroupsService.js';
let BrowserWorkingCopyBackupTracker = class BrowserWorkingCopyBackupTracker extends WorkingCopyBackupTracker {
    static { this.ID = 'workbench.contrib.browserWorkingCopyBackupTracker'; }
    constructor(workingCopyBackupService, filesConfigurationService, workingCopyService, lifecycleService, logService, workingCopyEditorService, editorService, editorGroupService) {
        super(workingCopyBackupService, workingCopyService, logService, lifecycleService, filesConfigurationService, workingCopyEditorService, editorService, editorGroupService);
    }
    onFinalBeforeShutdown(reason) {
        const modifiedWorkingCopies = this.workingCopyService.modifiedWorkingCopies;
        if (!modifiedWorkingCopies.length) {
            return false;
        }
        if (!this.filesConfigurationService.isHotExitEnabled) {
            return true;
        }
        for (const modifiedWorkingCopy of modifiedWorkingCopies) {
            if (!this.workingCopyBackupService.hasBackupSync(modifiedWorkingCopy, this.getContentVersion(modifiedWorkingCopy))) {
                this.logService.warn('Unload veto: pending backups');
                return true;
            }
        }
        return false;
    }
};
BrowserWorkingCopyBackupTracker = ( __decorate([
    ( __param(0, IWorkingCopyBackupService)),
    ( __param(1, IFilesConfigurationService)),
    ( __param(2, IWorkingCopyService)),
    ( __param(3, ILifecycleService)),
    ( __param(4, ILogService)),
    ( __param(5, IWorkingCopyEditorService)),
    ( __param(6, IEditorService)),
    ( __param(7, IEditorGroupsService))
], BrowserWorkingCopyBackupTracker));
export { BrowserWorkingCopyBackupTracker };
